<?php
namespace Concrete\Package\ClearFormattingPlugin;

use Concrete\Core\Editor\Plugin;
use \Core;
use \AssetList;

class Controller extends \Concrete\Core\Package\Package
{

    protected $pkgHandle = 'clear_formatting_plugin';
    protected $appVersionRequired = '5.7.4';
    protected $pkgVersion = '0.9';

    public function getPackageDescription()
    {
        return t("Adds a clear formatting button to the rich text editor.");
    }

    public function getPackageName()
    {
        return t("Clear Formatting Button");
    }

    public function on_start()
    {
        $al = AssetList::getInstance();
        $al->register(
            'javascript', 'editor/plugin/clearformatting', 'js/redactor/clearformatting.js',
                            array(), 'clear_formatting_plugin'
        );
        $al->registerGroup('editor/plugin/clearformatting', array(
            array('javascript', 'editor/plugin/clearformatting'),
        ));
        $plugin = new Plugin();
        $plugin->setKey('clearformatting');
        $plugin->setName('Clear Formatting Button');
        $plugin->requireAsset('editor/plugin/clearformatting');

        Core::make('editor')->getPluginManager()->register($plugin);
    }

}